net.sf.cglib.core

## Interface ClassGenerator

- All Known Implementing Classes:
    AbstractClassGenerator, BeanCopier.Generator, BeanGenerator, BeanMap.Generator, BulkBean.Generator, ClassReaderGenerator, ConstructorDelegate.Generator, Enhancer, FastClass.Generator, ImmutableBean.Generator, InterfaceMaker, KeyFactory.Generator, MethodDelegate.Generator, Mixin.Generator, MulticastDelegate.Generator, ParallelSorter.Generator, StringSwitcher.Generator, TransformingClassGenerator

      public interface ClassGenerator

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateClass(ClassVisitor v)`

- - ### Method Detail

    - #### generateClass

          void generateClass(ClassVisitor v)
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright (c) 2001 - Apache Software Foundation